BearSSL

Data Fields
br_tls_prf_seed_chunk Struct Reference

Type for a seed chunk. More...

`#include <bearssl_prf.h>`

## Data Fields
const void * | data
| Pointer to the chunk data. More...
size_t | len
| Chunk length (in bytes). More...

## Detailed Description

Type for a seed chunk.

Each chunk may have an arbitrary length, and may be empty (no byte at all). If the chunk length is zero, then the pointer to the chunk data may be `NULL`.

## Field Documentation

## ◆ data

const void* br_tls_prf_seed_chunk::data

Pointer to the chunk data.

## ◆ len

size_t br_tls_prf_seed_chunk::len

Chunk length (in bytes).

The documentation for this struct was generated from the following file:

- bearssl_prf.h